> For the complete documentation index, see [llms.txt](https://docs.meta-inf.hu/email-this-issue/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/email-templates/adding-user-properties-to-emails.md).

# Adding user properties to emails

It is common practice that user attributes like phone number, departments, etc. are synchronized from Active Directory into User Properties within Jira. To add some personal touch to your email signatures, you may want to include not only the email address, but these extra attributes as well.

Luckily you can access the user properties in your email templates. References to user properties by property name must be prefixed with "`jira.meta`." as the Jira API requires a fully qualified name of the property. E.g. If the user has a property, called "`phone`", the phone property of the current user may be rendered as:

**Example**

```
$!userPropertyManager.getPropertySet($!currentUser).getString("jira.meta.phone")
```

Instead of `$!currentUser` you can use any user objects from the issue, like: `$!issue.assignee` or `$!issue.reporter`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/email-templates/adding-user-properties-to-emails.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
